<?php
$value = [];
$canvasData = json_decode($patient->canvas_data, true);

$items = [];

if($canvasData && isset($canvasData['dx']) && isset($canvasData['dx']['items']) ){
    $items = $canvasData['dx']['items'];
}

$items = !$items ? [] : $items;
foreach($items as $item):
    $value[] = $item['title'];
endforeach;
$summaryHtml = $patient->displayName() . ", {$patient->age_in_years} years old {$patient->sex} ";
if(count($value)) {
    $summaryHtml .= "presenting with " . implode(", ", $value);
}
$contentData = [
    'value' => $summaryHtml
];